User Profile disabled after changing AS400 security level from 0 to 2.

Document ID : KB000093517
Last Modified Date : 30/04/2018
Show Technical Document Details
Issue:
We have a client who has changed the AS400 security level from 0 to 2. They have also updated the password on the AS400 which contains mixed characters. The issue they are facing is the AS400 is always accepting password in CAPS which is causing disabling of the user profile and this increases the response time to their customer.
Resolution:
In Plex r6.0, the support has been added for security - QPWDLVL > 0. Prior to this release, password was case insensitive. 
Plex used uppercase password string and do encryption on top of that. 
I see, customer has mentioned current Plex release in use is r5.1 or 5.5 which is not supported release, and the support for QPWDLVL > 0 is not enabled there. 
We recommend customer to upgrade to latest release of Plex, that will solve the reported problem.